PulseEffects:一款出色的全系统PulseAudio均衡器/音频效果应用程序

当您的应用程序没有自己的均衡器(如Spotify on)时,系统范围的均衡器很有用。 台式机,YouTube和Soundcloud等网站,游戏等。 脉冲效应,Gtk +应用程序可以利用适用于Linux的高级30频段系统范围均衡器以及诸如自动音量,压缩器,混响,立体声增强器,限制器等效果。PulseEffects需要PulseAudio(Ubuntu和许多其他Linux发行版的默认设置),并且可以将系统范围的效果应用于所有正在运行的应用程序,或分别应用于选定的应用程序。扩展可以同时应用于应用程序输出和麦克风输出。

适用于整个Pulse Effects系统的PulseAudio均衡器
可以为每个应用启用PulseEffects

PulseEffects可以多种方式增强您的声音,但是一个分区,预设中却没有。默认情况下,没有可用的预设,因此您将需要创建自己的预设或导入社区创建的预设。更新:默认情况下,PulseEffects附带(Gstreamer)预设,因此您不必安装自己的预设。

适用于整个Pulse Effects系统的PulseAudio均衡器
社区预设

有关如何安装一些社区预设和Pulse Effects预设的说明, 这个 页面。注意安装文件夹。这取决于应用程序的安装方式(Flatpak,PPA / Aur等) PulseEffects应用于应用程序输出的效果:

  • 输入限制器(Calf Studio的LV2限制器)
  • 自动音量
  • 压缩机(Calf Studio的LV2压缩机)
  • 巴特沃思高通滤波器(Gstreamer audiocheblimit)
  • 巴特沃斯低通滤波器(Gstreamer audiocheblimit)
  • 30波段参数均衡器(Gstreamer)
  • 总线增强器(来自Calf Studio的LV2低音增强器)
  • 激励器(来自Calf Studio的LV2激励器)
  • 立体声增强器(来自Calf Studio的LV2立体声增强器)
  • 立体声全景(Gstreamer)
  • 立体声传播(来自Calf Studio的LV2 MultiSpread)
  • 自由词(Gstreamer)
  • Crossfeed(Bs2b库)
  • 延迟补偿器(Linux Studio插件的LV2延迟补偿器)
  • 最大化器(ZamAudio的Ladspa最大化器)
  • 输出限制器(Calf Studio的LV2限制器)
  • 频谱分析仪(Gstreamer)

PulseEffects应用于麦克风输出的效果:

  • 门(小牛工作室的LV2门)
  • Webrtc(GStreamer)
  • 输入限制器(Calf Studio的LV2限制器)
  • 压缩机(Calf Studio的LV2压缩机)
  • 巴特沃思高通滤波器(Gstreamer audiocheblimit)
  • 巴特沃斯低通滤波器(Gstreamer audiocheblimit)
  • 30波段参数均衡器(Gstreamer)
  • Deesser(小牛工作室的LV2 Deesser)
  • 自由词(Gstreamer)
  • 音高变化(橡胶带的Raspa音高变化)
  • 频谱分析仪(Gstreamer)

使PulseEffects在Ubuntu或KDE上正常工作

更新:使用从PPA安装的PulseEffects时,这些配置更改不适用(PPA具有PulseAudio 12,可能不希望进行配置更改)。
修复 以下内容与PulseAudio git一起使用,因此在将来的PulseAudio版本中不再需要此步骤。但是,在此之前,您需要进行以下调整,以使PulseEffects在Ubuntu或KDE上正常工作。如果没有这些修复程序,启用PulseEffects可能会选择错误的输出设备,并且您可能听不到任何声音。对于Ubuntu 17.10或更高版本:
需要卸载 module-switch-on-connect PulseAudio模块。使用以下命令仅在此会话上执行此操作(在重新启动后不保留):

pactl unload-module module-switch-on-connect

要使此更改对用户永久生效(这样您就不必在每次登录时都运行上述命令),请使用:

cp /etc/pulse/default.pa ~/.config/pulse
sed -i 's/load-module module-switch-on-connect/#load-module module-switch-on-connect/g' ~/.config/pulse/default.pa

对于KDE:
需要卸载 module-device-manager PulseAudio模块。要仅为此会话卸载(在重新启动后不保留),请使用:

pactl unload-module module-device-manager

要使此更改永久生效(仅限用户),请使用以下命令:

echo "pactl unload-module module-device-manager > /dev/null 2>&1" >> ~/.bashrc

如果您不希望此更改永久生效, pactl 每次运行PulseEffects之前,请运行上述命令。更新:如果在尝试运行PulseEffects时收到以下错误(从PPA或Flatpak安装,则同时使用这两种方法):

Assertion 'o' failed at ../../src/pulse/operation.c:133, function pa_operation_get_state(). Aborting.

要解决此问题,请按以下步骤重置PulseEffects Dconf设置:

dconf reset -f /com/github/wwmm/pulseeffects

下载脉冲效果

按照Flatpak和FlatHub将PulseEffects作为Flatpak软件包安装 快速设定 指导。然后,您可以在Ubuntu / Gnome软件中搜索PulseEffects,然后从那里进行安装,也可以使用以下命令进行安装。

flatpak install flathub com.github.wwmm.pulseeffects

如果要从安装脉冲效果 平毂 有关如何在应用程序中使用当前GTK主题的信息,请参见:如何获取Flatpak应用程序并使用正确的Gtk主题:更新:Pulse Effects还为Ubuntu 18.04和18.10添加了Ubuntu PPA。做完了。 PPA具有新的PulseAudio版本(因为PulseEffects建议使用PulseAudio> = 12)。在添加PPA之前,请记住这一点。升级系统软件包可能会引起问题。如果可能,我们建议改用Flatpak版本的Pulsepf。
您可以将PPA添加到基于Ubuntu 18.04的Linux发行版中,例如Ubuntu 18.10和Ubuntu 18.04和Linux Mint 19,Elementary OS 5.0 Juno,并使用以下命令安装PulseEffects:

sudo add-apt-repository ppa:mikhailnov/pulseeffects
sudo apt update
sudo apt install pulseeffects pulseaudio --install-recommends
Sidebar